The BOOST_PP_ARRAY_TO_SEQ macro converts an array to a seq.

#### Usage

BOOST_PP_ARRAY_TO_SEQ(array)

#### Arguments

array
  The array to be converted.

#### Remarks

If the array to be converted is empty, as represented by '( 0, () )', the resulting seq is undefined since a seq cannot be empty.

#### Requirements

Header: <boost/preprocessor/array/to_seq.hpp>

#### Sample Code

    #include <boost/preprocessor/array/to_seq.hpp>

    BOOST_PP_ARRAY_TO_SEQ((3, (a, b, c))) // expands to (a)(b)(c)

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)